"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.crossfadeTransitionConfig = exports.dropfadeTransitionConfig = void 0;
exports.dropfadeTransitionConfig = {
    initial: {
        opacity: 1,
        transform: 'none',
    },
    from: {
        opacity: 0,
        transform: 'translateY(-10vh)',
    },
    enter: {
        opacity: 1,
        transform: 'translateY(0vh)',
        config: {
            friction: 50,
            mass: 1,
            tension: 500,
        },
    },
    exit: {
        opacity: 0,
        transform: 'translateY(10vh)',
        config: {
            clamp: true,
            friction: 15,
            mass: 1,
            tension: 300,
        },
    },
};
const crossfadeConfig = {
    mass: 5,
    tension: 50,
    friction: 10,
    clamp: true,
};
exports.crossfadeTransitionConfig = {
    initial: {
        opacity: 0,
    },
    from: {
        opacity: 0,
    },
    enter: {
        opacity: 1,
        config: crossfadeConfig,
    },
    exit: {
        opacity: 0,
        config: crossfadeConfig,
    },
};
