import { Ref, RefObject } from 'react';
export interface TransitionHandle {
    show: () => Promise<void>;
    hide: () => Promise<void>;
}
export declare type TransitionHandleRef = Ref<TransitionHandle>;
export declare function useTransitionHandleRef(): RefObject<TransitionHandle>;
export declare function useTransitionHandle(transitionHandleRef: TransitionHandleRef | undefined, { show, hide, }: {
    show: () => Promise<unknown>;
    hide: () => Promise<unknown>;
}, deps: any[]): void;
