import { createContext, useContext } from 'react';
/**
 * Allows an element to provide methods to transition itself in and out,
 * typically overriding any default transition provided by its ancestors.
 */
export const transitionHandleRefContext = createContext(null);
export function useTransitionHandleRefContext() {
    return useContext(transitionHandleRefContext);
}
