"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useTransitionHandleRefContext = exports.transitionHandleRefContext = void 0;
const react_1 = require("react");
/**
 * Allows an element to provide methods to transition itself in and out,
 * typically overriding any default transition provided by its ancestors.
 */
exports.transitionHandleRefContext = (0, react_1.createContext)(null);
function useTransitionHandleRefContext() {
    return (0, react_1.useContext)(exports.transitionHandleRefContext);
}
exports.useTransitionHandleRefContext = useTransitionHandleRefContext;
