/// <reference types="react" />
import type { TransitionHandleRef } from './transitionHandle';
/**
 * Allows an element to provide methods to transition itself in and out,
 * typically overriding any default transition provided by its ancestors.
 */
export declare const transitionHandleRefContext: import("react").Context<TransitionHandleRef>;
export declare function useTransitionHandleRefContext(): TransitionHandleRef;
